Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005787OCamlOCaml typingpublic2012-10-12 10:132013-06-18 15:58
Reporterfrisch 
Assigned Tofrisch 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.01.0+devFixed in Version 
Summary0005787: Bad behavior of 'Unused ...' warnings in the toplevel
Description
# let f x = ();;
Warning 27: unused variable x.
val f : 'a -> unit = <fun>
# let f x = ();;
val f : 'a -> unit = <fun>
# let f  x = ();;
Warning 27: unused variable x.
val f : 'a -> unit = <fun>


The warning is not displayed the second time, because it has the same location as the first one.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006013confirmed duplicate locations cause 'unused warnings' to be lost 

-  Notes
(0008265)
frisch (developer)
2012-10-16 15:31

Fixed by commit 13010, in trunk.

- Issue History
Date Modified Username Field Change
2012-10-12 10:13 frisch New Issue
2012-10-12 10:13 frisch Status new => assigned
2012-10-12 10:13 frisch Assigned To => frisch
2012-10-16 15:31 frisch Note Added: 0008265
2012-10-16 15:31 frisch Status assigned => resolved
2012-10-16 15:31 frisch Resolution open => fixed
2013-06-18 15:58 doligez Relationship added related to 0006013


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker